BizKitHub
DocsAPI ReferenceLedger/bff/ledger/inventory/post-difference
postLedgerAdmin BFF

/bff/ledger/inventory/post-difference

Post an inventory difference (shortage 549 / surplus 648 by default)

LedgerpostBffLedgerInventoryPost-difference

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired
Length: 16–24
accountCodestringRequired
Length: 3–16
shortageAccountstring | nullOptional
One of 2:
Variant 1
string
Length: 3–16
Variant 2
null
surplusAccountstring | nullOptional
One of 2:
Variant 1
string
Length: 3–16
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–300
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
entryNostringRequired

Response example

application/json
{
  "success": false,
  "entryNo": "example_entryNo"
}

Request example

POST /bff/ledger/inventory/post-difference

post
curl -X POST "https://api.bizkithub.com/bff/ledger/inventory/post-difference" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "accountCode": "example_accountCode"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key